Why do I have to remove TextExpander 3 from my iPhone and iPad?

Please remove TextExpander 3 once you have TextExpander 4 for iPad and iPhone.

Once you have TextExpander 4 you do not need the older version. Having both may interfere with the proper functioning of both.

You will not lose any snippets since TextExpander 4 will have them. The first time you sign in you are offered an opportunity to update the snippets on your device to those in your TextExpander account, or to merge the snippets stored locally on your device and the snippets in your TextExpander account. Either way your snippets are in TextExpander 4.